PO4A-UPDATEPO.1P(1)

NUME
po4a-updatepo - actualizează traducerea (în format PO) a documentației

SINOPSIS
po4a-updatepo -f fmt (-m principal.doc)+ (-p XX.po)+

(XX.po sunt ieșirile, toate celelalte sunt intrările)

DESCRIERE
Scopul proiectului po4a (PO pentru orice) este de a ușura traducerile (și mai interesant, întreținerea traducerilor) folosind instrumente gettext în domenii în care nu erau așteptate, cum ar fi documentația.

Scriptul po4a-updatepo se ocupă de actualizarea fișierelor PO pentru a le face să reflecte modificările aduse fișierului original de documentație. Pentru aceasta, acesta convertește fișierul de documentație într-un fișier POT și apelează msgmerge(1) pe acest nou POT și pe fișierele PO furnizate.

Este posibil să furnizați mai mult de un fișier PO (dacă doriți să actualizați mai multe limbi simultan) și mai multe fișiere de documentație (dacă doriți să stocați traducerile mai multor documente în același fișier PO).

Dacă documentul principal are caractere non-ASCII, acest script va converti fișierele PO în UTF-8 (dacă nu au fost deja), pentru o gestionare transparentă a caracterelor non-standard.

OPȚIUNI

-f, --format
    Formatul documentației pe care doriți să o gestionați. Utilizați opțiunea --help-format pentru a vedea lista de formate disponibile.

-m, --master
    Fișierul (fișierele) care conține (conțin) documentul principal de tradus.

-M, --master-charset
    Setul de caractere al fișierelor care conțin documentul de tradus. Rețineți că toate fișierele trebuie să aibă același set de caractere.

-p, --po
    Fișierul (fișierele) PO care urmează să fie actualizate. Dacă aceste fișiere nu există, ele sunt create de po4a-updatepo.

-o, --option
    Opțiuni suplimentare pe care să le transmiteți modulului de format. Consultați documentația fiecărui modul pentru mai multe informații despre opțiunile valide și semnificațiile acestora. De exemplu, ați putea transmite „-o tablecells” analizatorului AsciiDoc, în timp ce analizatorul de text ar accepta „-o tabs=split”.

--no-previous
    Această opțiune elimină --previous din opțiunile transmise către msgmerge. Acest lucru ajută la asigurarea suportului pentru versiunile vechi ale gettext (înainte de v0.16).

--previous
    Această opțiune adaugă --previous la opțiunile transmise către msgmerge. Aceasta necesită gettext 0.16 sau o versiune ulterioară și este activată implicit.

--msgmerge-opt opțiuni
    Opțiuni suplimentare pentru msgmerge(1).

-h, --help
    Afișează un scurt mesaj de ajutor.

--help-format
    Enumeră formatele de documentație înțelese de po4a.

-V, --version
    Afișează versiunea scriptului și iese.

-v, --verbose
    Crește nivelul de detaliere al programului.

-d, --debug
    Afișează unele informații de depanare.

--porefs tip[,wrap|nowrap]
    Specifică formatul referinței. Argumentul tip poate fi unul dintre never pentru a nu produce nicio referință, file pentru a specifica doar fișierul fără numărul de linie, counter pentru a înlocui numărul de linie cu un contor crescător și full pentru a include referințe complete (implicit: full).

    Argumentul poate fi urmat de o virgulă și de cuvântul-cheie wrap sau nowrap. Referințele sunt scrise implicit pe o singură linie. Opțiunea wrap include referințele pe mai multe linii, pentru a imita instrumentele gettext (xgettext și msgmerge). Această opțiune va deveni cea implicită într-o versiune viitoare, deoarece este mai sensibilă. Opțiunea nowrap este disponibilă astfel încât utilizatorii care doresc să păstreze vechiul comportament să poată face acest lucru.

--wrap-po no|newlines|număr (implicit: 76)
    Specifică modul în care liniile din fișierul po ar trebui să fie încadrate. Acest lucru oferă posibilitatea de a alege între fișiere care sunt bine ajustate ca încadrare, dar ar putea duce la conflicte git, sau fișiere care sunt mai ușor de gestionat automat, dar mai greu de citit pentru oameni.

    Din punct de vedere istoric, suita gettext a reformatat fișierele po la a 77-a coloană pentru cosmetică. Această opțiune specifică comportamentul lui po4a. Dacă este stabilită la o valoare numerică, po4a va încadra fișierul po după această coloană și după noile linii din conținut. Dacă este stabilită la newlines, po4a va împărți doar msgid și msgstr după linii noi în conținut. Dacă este stabilită la no, po4a nu va încadra deloc fișierul po. Încadrarea comentariilor de referință este controlată de opțiunea --porefs.

    Rețineți că această opțiune nu are niciun impact asupra modului în care msgid și msgstr sunt încadrate, adică asupra modului în care sunt adăugate linii noi la conținutul acestor șiruri.

--msgid-bugs-address adresă@poștă.electronică
    Definește adresa de raportare pentru erori din msgid. În mod implicit, fișierele POT create nu au câmpuri Report-Msgid-Bugs-To.

--copyright-holder șir
    Definește deținătorul drepturilor de autor în antetul POT. Valoarea implicită este „Free Software Foundation, Inc.”

--package-name șir
    Definește numele pachetului pentru antetul POT. Valoarea implicită este „PACKAGE”.

--package-version șir
    Definește versiunea pachetului pentru antetul POT. Valoarea implicită este „VERSION”.

CONSULTAȚI ȘI
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DREPTURI DE AUTOR și LICENȚĂ
Drepturi de autor 2002-2023 pentru SPI, inc.

Acest program este software liber; îl puteți redistribui și/sau modifica în conformitate cu termenii GPL v2.0 sau o versiune ulterioară (consultați fișierul COPYING).